{% load staticfiles i18n %}<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>{% block title %}cooke-dchq-project{% endblock title %}</title>
    <link rel="icon" href="{% static 'images/bootstrap-favicon.ico' %}">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">

    <!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
    <!--[if lt IE 9]>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv.min.js"></script>
    <![endif]-->

    {% block css %}
        <!-- Latest compiled and minified Bootstrap 4 Alpha 4 CSS -->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/css/bootstrap.min.css"
              integrity="sha384-rwoIResjU2yc3z8GV/NPeZWAv56rSmLldC3R/AZzGRnGxQQKnKkoFVhFQhNUwEyJ"
              crossorigin="anonymous">

        <!-- Your stuff: Third-party CSS libraries go here -->

        <!-- This file stores project-specific CSS -->
        <link href="{% static 'css/project.css' %}" rel="stylesheet">
        <link href="{% static 'css/font-awesome.css' %}" rel="stylesheet">

    {% endblock %}

</head>

<body>

<div class="m-b-1">
    <nav class="navbar navbar-toggleable-md navbar-light bg-faded">
        <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse"
                data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false"
                aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <a class="navbar-brand" href="{% url 'home' %}"><img src="{% static 'images/bootstrap-solid.svg' %}" width="30"
                                                             height="30" class="d-inline-block align-top"
                                                             alt="">
            cooke-dchq-project
        </a>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                    <a class="nav-link" href="{% url 'home' %}">Home <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'about' %}">About</a>
                </li>
            </ul>
            <ul class="nav justify-content-end">
                <li class="nav-item"><span class="nav-link">
    {% if request.user.first_name or request.user.last_name %}
        {{ request.user.first_name }} {{ request.user.last_name }}
    {% else %}
        {{ request.user.username }}
    {% endif %}
</span>
                </li>
                {% if request.user.is_authenticated %}
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'dashboard' %}">Dashboard</a>
                    </li>
                    {#                    <li class="nav-item">#}
                    {#            <span class="nav-link">{% if request.user.profile.account_verified %}#}
                    {#                <span class="badge badge-warning">verified</span>  {% else %}#}
                    {#                <span class="badge badge-warning"><i class="fa fa-frown-o"#}
                    {#                                                     aria-hidden="true"></i> unverified</span> {% endif %}</span>#}
                    <li class="nav-item">
                        {#                 URL provided by django-allauth/account/urls.py #}
                        <a class="nav-link"
                           href="{% url 'users:detail' request.user.username %}">{% trans "My Profile" %}</a>
                    </li>

                    <li class="nav-item">
                        {#                 URL provided by django-allauth/account/urls.py #}
                        <a class="nav-link" href="{% url 'account_logout' %}">{% trans "Sign Out" %}</a>
                    </li>

                {% else %}
                    <li class="nav-item">
                        {#                 URL provided by django-allauth/account/urls.py#}
                        <a id="sign-up-link" class="nav-link"
                           href="{% url 'account_signup' %}">{% trans "Sign Up" %}</a>
                    </li>
                    <li class="nav-item">
                        {#                 URL provided by django-allauth/account/urls.py#}
                        <a id="log-in-link" class="nav-link" href="{% url 'account_login' %}">{% trans "Sign In" %}</a>
                    </li>
                {% endif %}

                </li>
            </ul>
        </div>
    </nav>

</div>
<div class="content-block-padding" style="padding-top: 20px;"> {# TODO need to change in the furture #}
    <div class="container">

        {% if messages %}
            {% for message in messages %}
                <div class="alert {% if message.tags %}alert-{{ message.tags }}{% endif %}">{{ message }}</div>
            {% endfor %}
        {% endif %}

        {% block content %}
            <p>Use this document as a way to quick start any new project.</p>
        {% endblock content %}

    </div> <!-- /container -->
</div>
{% block modal %}{% endblock modal %}

<!-- Le javascript
================================================== -->
<!-- Placed at the end of the document so the pages load faster -->
{% block javascript %}
    <!-- Required by Bootstrap v4 Alpha 4 -->
    <script src="https://code.jquery.com/jquery-3.2.1.js"
            integrity="sha256-DZAnKJ/6XZ9si04Hgrsxu/8s717jcIzLy3oi35EouyE=" crossorigin="anonymous"></script>
    {#        need to make sure to use the full version, the .min dosent support ajax.#}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.4.0/js/tether.min.js"
            integrity="sha384-DztdAPBWPRXSA/3eYEEUWrWCy7G5KFbe8fFjk5JAIxUYHKkDx6Qin1DkWx51bBrb"
            crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/js/bootstrap.min.js"
            integrity="sha384-vBWWzlZJ8ea9aCX4pEW3rVHjgjt7zpkNpZk+02D9phzyeVkE+jo0ieGizqPLForn"
            crossorigin="anonymous"></script>

    <!-- Your stuff: Third-party javascript libraries go here -->
    <script src="{% static 'js/bootbox.min.js' %}"></script>
    <script src="{% static 'js/js.cookie.js' %}"></script>

    <!-- place project specific Javascript in this file -->
    <script>
        {% if request.user.is_authenticated %} window.sessionStorage.setItem('USER_STATUS','true');{% else %}
            window.sessionStorage.setItem('USER_STATUS','false');{% endif %} //normally true/false
        window.sessionStorage.setItem('LOGIN_URL','{% url 'account_login' %}'); //what you named your login url in urls.py
    </script>

    <script src="{% static 'js/project.js' %}"></script>
    <script src="{% static 'js/apps.js' %}"></script>


{% endblock %}
</body>
</html>

